# Create ACH Origination

Originate an ACH transaction with the counterparty.
This can only be done after creating a Counterparty for the account.



### ACH Origination Limitations



- All transfers that are below 25k and scheduled before 12:00 ET are sent with settlement same-day
- All transfers above 25k scheduled before 12:00 ET are sent with settlement next day
- All transfers scheduled after 12:00 ET follow the above rules the following day

Endpoint: POST /api/v1/jiko-accounts/{account_id}/ach-originating/
Version: Version: aec57205
Security: HTTPBearer

## Path parameters:

  - `account_id` (string, required)

## Header parameters:

  - `x-jiko-idempotency` (string, required)

  - `x-jiko-signature` (string, required)

## Request fields (application/json):

  - `counterparty_id` (string, required)

  - `direction` (string, required)
    Enum: "DEBIT", "CREDIT"

  - `sec_code` (string)
    Enum: "CCD", "WEB"

  - `payment_related_information` (array)

  - `amount_usdc` (integer, required)

  - `company_entry_description` (any)
    Short description of the purpose of the entry (Maximum of 10 characters). Required for sec_code "CCD" and "PPD". For sec_code "WEB" the default value for DEBIT is "Funding TX" and "Release TX" for CREDIT.

## Response 200 fields (application/json):

  - `counterparty_id` (string, required)

  - `direction` (string, required)
    Enum: same as `direction` (2 values)

  - `sec_code` (string, required)
    Enum: "CCD", "PPD", "WEB"

  - `payment_related_information` (array, required)

  - `id` (string, required)

  - `amount` (object, required)

  - `amount.value` (integer, required)
    USD values are always in cents.

  - `amount.currency` (string, required)

  - `amount.formatted` (string)

  - `jiko_account_id` (string, required)

  - `status` (string, required)
    Enum: "PENDING", "FAILED", "REJECTED", "PROCESSED", "APPROVED", "IN_TRANSIT", "CANCELLED"

  - `time_created` (string, required)

  - `company_entry_description` (string, required)

  - `object_type` (string, required)

## Response 422 fields (application/json):

  - `detail` (array)

  - `detail.loc` (array, required)

  - `detail.msg` (string, required)

  - `detail.type` (string, required)

  - `detail.input` (any)

  - `detail.ctx` (object)


